- Qt 6.5
- Qt Serial Bus
- C++ Classes
- ParseResult
- Qt 6.5.0 Reference Documentation

# ParseResult Struct

struct QCanFrameProcessor::ParseResult

The struct is used as a return value for the QCanFrameProcessor::parseFrame() method. More...

This struct was introduced in Qt 6.5.

- List of all members, including inherited members

## Public Variables

QVariantMap | signalValues
QtCanBus::UniqueId | uniqueId

## Detailed Description

## Member Variable Documentation

### QVariantMap ParseResult::signalValues

This variable holds the map containing the extracted signals and their values. The keys of the map are the signal names, and the values of the map are signal values.

### QtCanBus::UniqueId ParseResult::uniqueId

This variable holds the value of the unique identifier of the parsed frame.